Subject: ][+ auto-boot from hard d

From: [email-masked] (Jeff Brielmaier)
Date: Thu, 13 Nov 97 19:53:00 -0600

SA>One question, though. Can the Apple ][+ automatically boot from the hard
SA>drive? When I power the computer on, it instantly starts accessing the
SA>floppy drive in slot 6. If I just let the floppy drive spin empty, and go
SA>ahead and do a CTRL-RESET, I get a cursor and can type PR#7 and then the
SA>computer will boot up from the hard drive just fine.

No, Unless you have the capability modify/re-burn a ROM chip.

The problem is that the Apple SCSI card isn't identified as a bootable 
interface card.  This is due to the fact that Apple changed the specs for a 
bootable controller card due to compatibility problems encountered with UCSD 
P-System (Pascal) environment.

If you are able to program a ROM chip, the easiest thing to do is to modify 
the SCSI card's chip.  [This is due to the fact that the Apple ]['s ROM chips 
chips are not pin-2-pin compatible with EPROMs.

Thw ROM on the SCSI card is a 27C256, so most EPROM programmers should handle 
it without a problem.

     Original ROM --> 0000: A2 20 A2 00 A2 03 A2 00
     Change it to --> 0000: A2 20 A2 00 A2 03 A2 3C

     i.e. Change the byte at offset 0007 from '00' to '3C'.

After you have mande the byte change and programmed the replacement EPROM, you 
will be able (should) to boot from the SCSI drive.

 * KingQWK 1.05 # [PK] * Apple Computer Inc.  Makes No Apple Computers.